error: incompatible types when assigning to type ‘uid_t’ from type ‘kuid_t’

error: incompatible types when assigning to type ‘uid_t’ from type ‘kuid_t’

My VTUNE installation was working in UBUNTU 12.10 perfectly. But then I upgraded to UBUNTU 14.04 LTS (kernel version:3.13.0-24-generic). It stopped working.

It says it can't load the drivers. I fixed it once before with the tutorial in the following link:

https://software.intel.com/sites/products/documentation/doclib/iss/2013/...

But this time when i try to build the drivers I get the following errors:

---------------------------

/opt/intel/vtune_amplifier_xe_2013/sepdk/src/vtsspp/collector.c: In function ‘vtss_cmd_start’:
include/linux/cred.h:355:10: error: incompatible types when assigning to type ‘uid_t’ from type ‘kuid_t’
  *(_uid) = __cred->uid;   \
          ^
/opt/intel/vtune_amplifier_xe_2013/sepdk/src/vtsspp/collector.c:1696:5: note: in expansion of macro ‘current_uid_gid’
     current_uid_gid((uid_t *)&vtss_session_uid, &vtss_session_gid);
     ^
include/linux/cred.h:356:10: error: incompatible types when assigning to type ‘gid_t’ from type ‘kgid_t’
  *(_gid) = __cred->gid;   \
          ^
/opt/intel/vtune_amplifier_xe_2013/sepdk/src/vtsspp/collector.c:1696:5: note: in expansion of macro ‘current_uid_gid’
     current_uid_gid((uid_t *)&vtss_session_uid, &vtss_session_gid);

-----------------------------

While installing with a older kernel for example : --kernel-version=3.5.0-48-generic, this error goes away. builds fine.

But in that case if I run: ./insmod-sep3, then I get the following error:

------------------

Warning:  no sep3_10 driver was found loaded in the kernel.
Warning:  no vtsspp driver was found loaded in the kernel.
Attempting to stop PAX service ...
Warning:  no pax driver was found loaded in the kernel.
PAX service has been stopped.
ls: cannot access ./sep3_10-x32_64-*3.13.0*.ko: No such file or directory
Missing output file name.

Warning: sep3_10 driver "sep3_10-x32_64-3.13.0-24-genericsmp.ko"
was not found in directory "." !

This means you may need to build sep3_10 driver from the provided
driver sources.  Please see the driver README for instructions.

---------------------------

Can anybody please tell me what is the problem and how should I solve it? I am also using this forum for the first time, therefore, if I have asked

the question in the wrong place suggest me where to ask it.

Thank you

Pratanu

 

4 posts / 0 new
Last post
For more complete information about compiler optimizations, see our Optimization Notice.

Hello Pratanu,

UBUNTU 14.04 LTS has just been released and it is not yet in the list of supported systems. Currently we are setting up images to proceed with testing. Stay tuned.

Thanks, Dmitry

Hello,

Is there any update on this issue? If there is can you please give me the link where it is explained i.e. how should I proceed in fixing my Vtune for Ubuntu 14.04?

 

Thank you

Pratanu

Hello,

Could you please try VTune Amplifier 2013 Update 17?

Thanks & Regards, Dmitry

Leave a Comment

Please sign in to add a comment. Not a member? Join today